Updates the Contract with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

contract
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier

Required

id2

id2

integer

Required

company_id

The company owner of this contract

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating contract

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating contract

company

Optionally required : company_id, company_code or company must be provided

reference

Reference

string
reference_back_office

Backoffice reference

string
reference_customer

Customer Reference

string
date_start

Start Date of the contract

date
date_end

Contract End date

date
date_cancel

Readonly , date +time when the contract goes in status Cancelled

date
date_last_invoiced

Readonly contains the last date an invoice has been generated for this contract

date
name

Name of the contract

string
description

Description of Contract

string
feelist_id

Feelist ID

globally unique identifier
article_price_label_id

Article Price Llabel Id

globally unique identifier
account_manager_user_id

FK of Account manager user

globally unique identifier
account_manager_user

Embedded entity "account_manager_user" using ERP PK when adding/updating account_manager_user

user
account_manager_user_code

Embedded entity "account_manager_user" using ERP PK when adding/updating account_manager_user

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
renewal_term_months

Renewal Term Months

integer

Range: inclusive between 0 and 1000000

feelist_warranty_discount

Feelist Warranty Discount

decimal number

Range: inclusive between 0 and 100

price_label_warranty_discount

Price Label Warranty Discount

decimal number

Range: inclusive between 0 and 100

driving_distance

Distance in km that are used to invoice the travel

decimal number
travel_fee_fix_discount

Discount applied when computing the fee for travel

decimal number

Request Formats :

application/json, text/json

Sample:
{
  "id": "28c1b069-f9a7-4085-b272-c901119be1a9",
  "id2": 2,
  "company_id": "947b140a-a72b-42f2-a5af-377592031a22",
  "company_code": "sample string 4",
  "reference": "sample string 5",
  "reference_back_office": "sample string 6",
  "reference_customer": "sample string 7",
  "date_start": "2026-10-28T21:50:20.2283414+00:00",
  "date_end": "2026-10-28T21:50:20.2283414+00:00",
  "date_cancel": "2026-10-28T21:50:20.2283414+00:00",
  "date_last_invoiced": "2026-10-28T21:50:20.2283414+00:00",
  "name": "sample string 12",
  "description": "sample string 13",
  "feelist_id": "3bbd692c-9b00-48b1-b2ad-6b16992b3b62",
  "article_price_label_id": "0c404f30-bab2-4d5b-a098-0fce7c850e58",
  "account_manager_user_id": "c32de3a9-59cb-4bb4-a0c7-314a34bb5c47",
  "account_manager_user": {
    "id": "cab52697-fa72-4983-89e3-29407876b0a8",
    "db_language_id": "6aa9c54e-e282-4d61-8a12-d6e4748ad240",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-10-28T21:50:20.2283414+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "1f0d71f6-555c-430c-bc32-e51326d40b22",
    "sales_organization": {
      "id": "34fbdbdb-b140-43b5-9bba-323d9050128e",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "85e824d9-ce25-4118-acec-2ec8696d0242",
      "db_currency_id": "26756189-f253-4626-913b-ed79c80b3eed",
      "db_language_id": "e495a29d-5000-46d4-86c0-cfea6c3ef52e",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-28T21:50:20.2283414+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "5659a207-d27a-46aa-8096-7c3ccab8f914",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "a466d9ca-86bc-49bb-b242-81a9dca07fab",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-10-28T21:50:20.2283414+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "55bb2845-f23f-47b7-b830-fb3aab27d93e"
  },
  "account_manager_user_code": "sample string 17",
  "modified_dateutc": "2026-10-28T21:50:20.2283414+00:00",
  "renewal_term_months": 19,
  "feelist_warranty_discount": 20.0,
  "price_label_warranty_discount": 21.0,
  "driving_distance": 22.0,
  "travel_fee_fix_discount": 23.0
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.